.slider {
    background-color: var(--dark-rose-color);
    padding: 2rem 0;
    width: 100%;
    overflow: hidden;
    position: relative;
}

.slide-track {
    display: flex;
    gap: 3em;
    animation: scroll 40s linear infinite;
    width: max-content;
}

.slide-track:hover {
    animation-play-state: paused;
}

.slider .slide {
    flex-shrink: 0;
    display: flex;
    align-items: center;
    justify-content: center;
    padding: 10px;
}

.slider .slide img {
    width: 200px;
    height: 125px;
    transition: transform 0.3s ease;
}

.slider .slide:hover img {
    transform: scale(1.1);
}

@keyframes scroll {
    0% {
        transform: translateX(0);
    }

    100% {
        transform: translateX(-50%);
    }
}